// RasterSoft Invades 3DO demo by Charles Doty/RasterSoft
// http://www.rastersoft.net
// Released free of any licenses
// Credit would be appreciated, but not required.

#include "stdio.h"
#include "string.h"

#include "../../../../3DODev/includes/controlpad.h"
#include "../../../../3DODev/includes/debug3do.h"
#include "../../../../3DODev/includes/displayutils.h"
#include "../../../../3DODev/includes/event.h"
#include "../../../../3DODev/includes/getvideoinfo.h"
#include "../../../../3DODev/includes/graphics.h"
#include "../../../../3DODev/includes/mem.h"

#include "Defines.h"
#include "Display.h"
#include "Sprite.h"
#include "System.h"

// Number of control pads to use
static const int	sNumControlPads	= 8;

bool InitializeControlPads()
{
	PRT(("Initializing the control pads\n"));

	// Initialize the control pads
	if (InitControlPad(sNumControlPads) <  0)
	{
		PRT(("Can't initialize the control pad\n"));
	
		return	false;
	}

	return	true;
}

void DestroyControlPads()
{
	KillControlPad();
}

void Update()
{
	UpdateDisplay();
}
