// Aer Fixus' 3DO Controller Tester
// Built upon the framework set down by Rastersoft (http://www.rastersoft.net)
// 
// Released free of any licenses
// Credit would be appreciated, but not required.

#ifndef __GAME_H
#define __GAME_H

#include "../../../../3DODev/includes/types.h"

// Initialize game
bool InitializeGame();

//create and initialize the sprites for the controller buttons
void createButtons();

//reset all buttons to clear/unpressed
void resetButtonSprites();

//the most important function
//check our input for button presses and respond by lighting up the buttons
void checkInput();

// Game loop
bool GameLoop();

// Reset
void Reset();

//read the assigned control pad
void readControlPad(int controllerNum);

#endif